Auth -memberships
Accept or decline a pending membership
PUT
/auth/v1/memberships/{orgId}/membership/stateAccepts or declines the authenticated user's pending invitation to the organization. Used from inside the dashboard; the public token flow is /auth/v1/invitations/{token}/accept|decline.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"state": "accepted"
}state*string
Value in
"accepted" | "declined"Response Body
200application/json
OK
type: object
joined_at?string
org_id?string
org_name?string
role?string
state?string
user_id?string
curl -X PUT "https://api.rixl.com/auth/v1/memberships/string/membership/state" \
-H "Content-Type: application/json" \
-d '{
"state": "accepted"
}'const body = JSON.stringify({
"state": "accepted"
})
fetch("https://api.rixl.com/auth/v1/memberships/string/membership/state", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://api.rixl.com/auth/v1/memberships/string/membership/state"
body := strings.NewReader(`{
"state": "accepted"
}`)
req, _ := http.NewRequest("PUT", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/auth/v1/memberships/string/membership/state"
body = """{
"state": "accepted"
}"""
response = requests.request("PUT", url, data = body, headers = {
"Content-Type": "application/json"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofString("""{
"state": "accepted"
}""");
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/auth/v1/memberships/string/membership/state"))
.header("Content-Type", "application/json")
.PUT(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new StringContent("""
{
"state": "accepted"
}
""", Encoding.UTF8, "application/json");
var client = new HttpClient();
var response = await client.PutAsync("https://api.rixl.com/auth/v1/memberships/string/membership/state", body);
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"joined_at": "string",
"org_id": "string",
"org_name": "string",
"role": "string",
"state": "string",
"user_id": "string"
}